Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 288368 - Programmable completion for mutt mailboxes under bash-4.
Summary: Programmable completion for mutt mailboxes under bash-4.
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Shell Tools Herd Bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-09 23:38 UTC by Drake Wyrm
Modified: 2015-08-28 12:53 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
patch /usr/share/bash-completion/base for mutt to work with bash-4 (base.diff,665 bytes, patch)
2009-10-09 23:49 UTC, Drake Wyrm
Details | Diff
patch /usr/share/bash-completion/base for mutt to work with bash-4, remix (base.diff,721 bytes, patch)
2009-10-10 00:12 UTC, Drake Wyrm
Details | Diff
replacement mutt file (mutt,3.35 KB, text/plain)
2009-10-29 05:39 UTC, Drake Wyrm
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Drake Wyrm 2009-10-09 23:38:18 UTC
Since upgrading to bash-4, I have noticed a bug while attempting to tab-complete mailboxes for mutt. When I type `mutt -f =<TAB><TAB>`, I get a list of mailboxes, as expected. But, when I start typing the name of a mailbox and try to expand, say `mutt -f =m<TAB><TAB>`, I get a list of usernames and aliases. I have a patch for /usr/share/bash-completion/base that makes completion work under bash-4, but I think the patch breaks completion under bash-3.
Comment 1 Drake Wyrm 2009-10-09 23:49:28 UTC
Created attachment 206595 [details, diff]
patch /usr/share/bash-completion/base for mutt to work with bash-4
Comment 2 Drake Wyrm 2009-10-10 00:12:46 UTC
Created attachment 206597 [details, diff]
patch /usr/share/bash-completion/base for mutt to work with bash-4, remix

The first patch may not have affected bash-3, but this one certainly won't.
Comment 3 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-10-29 03:01:00 UTC
Drake, if you unpack the tarball, you will see a bash_completion file. This is the one that needs to be patched. Additionally, you need to confirm that it has not been fixed in 1.1 already.

Thanks.
Comment 4 Drake Wyrm 2009-10-29 05:39:03 UTC
Created attachment 208607 [details]
replacement mutt file

The bug has not been addressed in 1.1. This replacement mutt file contains the fix.
Comment 5 Antek Grzymała (antoszka) 2009-12-15 09:42:48 UTC
Please fix it. I've no idea about writing bash-completion functions (pretty bizarre stuff) functions, but I'm really missing the functionality.
Comment 7 Antek Grzymała (antoszka) 2009-12-28 19:49:18 UTC
(In reply to comment #4)
> Created an attachment (id=208607) [details]
> replacement mutt file
> 
> The bug has not been addressed in 1.1. This replacement mutt file contains the
> fix.

Doesn't seem to work for me:

$ mutt -f =gent<TAB><TAB>oo/
CVS/ xml/ 

instead of, say =gentoo-dev...
Comment 8 Patrice Clement gentoo-dev 2015-08-24 15:53:34 UTC
Is there someone still interested in this? Please comment or I will close this bug.
Comment 9 Antek Grzymała (antoszka) 2015-08-24 16:25:10 UTC
Feel free to close the bug, it's working now (I don't remember what has changed, but the bug is not valid anymore for sure).
Comment 10 Patrice Clement gentoo-dev 2015-08-28 12:53:26 UTC
Alright. Thank you for the info!